/* 
Theme Name: Aha! Template
Description: A child theme for Hello Elementor, created by Aha! Creative
Author: Aha! Creative
Author URI: https://aha-creative.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: aha-theme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

.hentry, .aha-main-content {
    flex: 1 0 auto;
}

.sr-only-button-text .elementor-button-text {
    position:absolute;
    left:-10000px;
    top:auto;
    width:1px;
    height:1px;
    overflow:hidden;
}

.elementor-widget-theme-post-excerpt p:last-child,
.elementor-widget-text-editor p:last-child,
.elementor-widget-text-editor ul:last-child,
.elementor-widget-text-editor li:last-child {
    margin-bottom: 0;
}

.taca-county {
    cursor: pointer;
    opacity: .5;
    filter: grayscale(0.2);
    transition: .1s ease-in-out all;
}

.taca-agency:hover .taca-county {
    opacity: 1;
    filter: none;
}

.resource-category-icon {
    padding: 20px;
    background: #f8d9e8;
    line-height: 0;
    border-radius: 14px;
}

.service-tags {
    font-size: 12px;
    line-height: 16px;
    color: #CC0066;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.service-tags > div {
    padding: 4px 8px;
    border-radius: 4px;
    background: #CC00661A;
}

main .elementor-button:hover {
    transform: scale(1.05);
}

.agency-map {
    position: relative;
}

#agency-map-popup {
    border: solid 1px #ededed;
    border-radius: 15px;
    padding: 1rem;
    text-align: left;
    max-width: 400px;
    margin: auto;
    font-size: 16px;
    box-shadow: 0 2px 5px #00000017;
    background: white;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
}

#agency-map-popup .close {
    padding: 5px 12px;
    float: right;
}

#agency-map-popup h3 {
    font-size: 20px;
}

#agency-map-popup-content {
    text-transform: capitalize;
    line-height: 1.3;
    display: flex;
    flex-direction: column;
    gap: 10px;
}